Which versions are compatible?


#1

Hi guys!

I have the following working situation:

KeePass 2.22
KeePassHttp 1.8.4.0
KeePassRPC not working!

KeeFox 1.7.2
FF (ESR) 52.7.0

Since one of them changed about 11/2017 KeeFox doesn’t work anymore because the connection to the RPC can not be established anymore. Unfortunely the plugin can not be loaded. I tried multiple version without success.

Here some debug logs from KeeFox

Fri Jul 06 2018 13:58:12 GMT+0200:DEBUG: HTTP connection refused. Will not attempt web socket connection.
Fri Jul 06 2018 13:58:12 GMT+0200:DEBUG: Speculatively trying to open a webSocket connection
Fri Jul 06 2018 13:58:12 GMT+0200:DEBUG: Attempting to connect to RPC server webSocket.
Fri Jul 06 2018 13:58:12 GMT+0200:DEBUG: Trying to open a webSocket connection
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Websocket connection error
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Websocket connection error end
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Notifying interested observers that the websocket has closed
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Pausing KeeFox.
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: panel showSearchResults started
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Removing all matched logins
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: setupButton_ready start
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Setting widget status
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: setupButton_ready end
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: setAllLogins start
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: setAllLogins end
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: setupButton_ready start
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Setting widget status
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: setupButton_ready end
Fri Jul 06 2018 13:58:13 GMT+0200:INFO: KeeFox paused.
Fri Jul 06 2018 13:58:13 GMT+0200:DEBUG: Websocket connection closed

Fri Jul 06 2018 13:58:52 GMT+0200:DEBUG: HTTP connection refused. Will not attempt web socket connection.
Fri Jul 06 2018 13:58:54 GMT+0200:DEBUG: Metrics startup for KeeFox version: 1.7.2
Fri Jul 06 2018 13:58:54 GMT+0200:ERROR: Metrics system could not open/create the indexedDB. UnknownError - The operation failed for reasons unrelated to the database itself and not covered by any other error code.
Fri Jul 06 2018 13:58:54 GMT+0200:DEBUG: HTTP connection refused. Will not attempt web socket connection.
Fri Jul 06 2018 13:58:56 GMT+0200:INFO: About to execute: C:\Program Files (x86)\KeePass-2.22\KeePass.exe\KeePass.exe -KeePassRPCWebSocketPort:12345 -iocredfromrecent

As I can not change this installations very much (KeePass & FF ESR) because of the local client security I want to ask you:

are these software parts already compatible in this constelation anyhow?

Or: which KeePassHttp / KeePassRPC is compatible to KeePass 2.22 or 2.32 and FF 52.7.0?

Best regards,
pah96


#2

For Firefox 56 and lower, you have to use the old KeeFox 1.x versions.

For each of those versions you should use the version of KeePassRPC.plgx that comes bundled with the add-on. It will typically match the KeeFox version number, at least until the last couple of KeeFox releases where this restriction was relaxed to ensure a smooth migration to Kee 2.0.

Newer versions of KeePassRPC.plgx will require newer versions of KeePass. I don’t recall exact timings of when new versions were needed but the current minimum requirement is KeePass 2.34. That’s 18-24 months old now; 2.22 is practically prehistoric so you should upgrade.

Note that if your local policies track Firefox ESR, that will auto-update to the new ESR 60 pretty soon (6 weeks I think but don’t quote me on that) at which time you will have to use Kee 2.0 and KeePassRPC.plgx 1.8.0 (and therefore at least KeePass 2.34… although I recommend 2.39 so you can take advantage of the latest security and stability improvements)